pci_find_parent_resource
Prev | PCI Support Library | Next

## Name

pci_find_parent_resource — return resource region of parent bus of given region

## Synopsis

`struct resource * pci_find_parent_resource (` | const struct pci_dev * | dev,
| struct resource * | res`)`;

## Arguments

`dev`

  PCI device structure contains resources to be searched

`res`

  child resource record for which parent is sought

## Description

For given resource region of given device, return the resource region of parent bus the given region is contained in or where it should be allocated from.

Prev | Up | Next
pci_find_ht_capability | Home | pci_set_power_state